OGRE: Ogre::TerrainQuadTreeNode::LodLevel Struct Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::TerrainQuadTreeNode::LodLevel Struct Reference

`#include <OgreTerrainQuadTreeNode.h>`

Inheritance diagram for Ogre::TerrainQuadTreeNode::LodLevel:
[legend]

## Public Member Functions
| LodLevel ()

## Public Attributes
uint16 | batchSize
| Number of vertices rendered down one side (not including skirts).
Real | calcMaxHeightDelta
| Temp calc area for max height delta.
IndexData * | gpuIndexData
| Index data on the gpu.
Real | lastCFactor
| The cFactor value used to calculate transitionDist.
Real | lastTransitionDist
| The most recently calculated transition distance.
Real | maxHeightDelta
| Maximum delta height between this and the next lower lod.

## Constructor & Destructor Documentation

## ◆ LodLevel()

Ogre::TerrainQuadTreeNode::LodLevel::LodLevel | ( |  | ) |
| inline

References batchSize, calcMaxHeightDelta, gpuIndexData, lastCFactor, lastTransitionDist, and maxHeightDelta.

## Member Data Documentation

## ◆ batchSize

uint16 Ogre::TerrainQuadTreeNode::LodLevel::batchSize

Number of vertices rendered down one side (not including skirts).

Referenced by LodLevel().

## ◆ gpuIndexData

IndexData* Ogre::TerrainQuadTreeNode::LodLevel::gpuIndexData

Index data on the gpu.

Referenced by LodLevel().

## ◆ maxHeightDelta

Real Ogre::TerrainQuadTreeNode::LodLevel::maxHeightDelta

Maximum delta height between this and the next lower lod.

Referenced by LodLevel().

## ◆ calcMaxHeightDelta

Real Ogre::TerrainQuadTreeNode::LodLevel::calcMaxHeightDelta

Temp calc area for max height delta.

Referenced by LodLevel().

## ◆ lastTransitionDist

Real Ogre::TerrainQuadTreeNode::LodLevel::lastTransitionDist

The most recently calculated transition distance.

Referenced by LodLevel().

## ◆ lastCFactor

Real Ogre::TerrainQuadTreeNode::LodLevel::lastCFactor

The cFactor value used to calculate transitionDist.

Referenced by LodLevel().

The documentation for this struct was generated from the following file:

- OgreTerrainQuadTreeNode.h